# Class StructureIterator

java.lang.Object
org.jmol.api.JmolAdapterStructureIterator
org.jmol.adapter.smarter.StructureIterator

public class StructureIterator extends JmolAdapterStructureIterator

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getAtomIndices()`
`BS[]`
`getBSAll()`
`int`
`getEndChainID()`
`char`
`getEndInsertionCode()`
`int`
`getEndSequenceNumber()`
`int[]`
`getModelIndices()`
`int`
`getStartChainID()`
`char`
`getStartInsertionCode()`
`int`
`getStartSequenceNumber()`
`int`
`getStrandCount()`
`String`
`getStrandID()`
`BS`
`getStructuredModels()`
`String`
`getStructureID()`
`STR`
`getStructureType()`
`STR`
`getSubstructureType()`
`boolean`
`hasNext()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in class `JmolAdapterStructureIterator`

### getStructureType

public STR getStructureType()

Specified by:
  `getStructureType` in class `JmolAdapterStructureIterator`

### getSubstructureType

public STR getSubstructureType()

Specified by:
  `getSubstructureType` in class `JmolAdapterStructureIterator`

### getStructureID

public String getStructureID()

Specified by:
  `getStructureID` in class `JmolAdapterStructureIterator`

### getStrandID

public String getStrandID()

Specified by:
  `getStrandID` in class `JmolAdapterStructureIterator`

### getStartChainID

public int getStartChainID()

Specified by:
  `getStartChainID` in class `JmolAdapterStructureIterator`

### getStartSequenceNumber

public int getStartSequenceNumber()

Specified by:
  `getStartSequenceNumber` in class `JmolAdapterStructureIterator`

### getStartInsertionCode

public char getStartInsertionCode()

Specified by:
  `getStartInsertionCode` in class `JmolAdapterStructureIterator`

### getEndChainID

public int getEndChainID()

Specified by:
  `getEndChainID` in class `JmolAdapterStructureIterator`

### getEndSequenceNumber

public int getEndSequenceNumber()

Specified by:
  `getEndSequenceNumber` in class `JmolAdapterStructureIterator`

### getEndInsertionCode

public char getEndInsertionCode()

Specified by:
  `getEndInsertionCode` in class `JmolAdapterStructureIterator`

### getStrandCount

public int getStrandCount()

Specified by:
  `getStrandCount` in class `JmolAdapterStructureIterator`

### getStructuredModels

public BS getStructuredModels()

Specified by:
  `getStructuredModels` in class `JmolAdapterStructureIterator`

### getAtomIndices

public int[] getAtomIndices()

Specified by:
  `getAtomIndices` in class `JmolAdapterStructureIterator`

### getModelIndices

public int[] getModelIndices()

Specified by:
  `getModelIndices` in class `JmolAdapterStructureIterator`

### getBSAll

public BS[] getBSAll()

Specified by:
  `getBSAll` in class `JmolAdapterStructureIterator`